<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="rewriter" requirePermission="false" type="Intelligencia.UrlRewriter.Configuration.RewriterConfigurationSectionHandler, Intelligencia.UrlRewriter"/>
  </configSections>
  <appSettings>
    <add key="FCKeditor:BasePath" value="/_libs/fckeditor/" />
    <add key="JumbotCms:WebmasterEmail" value="3275904@qq.com" />
    <!--最后都以这个Email的名义发信-->
    <add key="AutoTask:SiteUrl" value="" />
    <add key="AutoTask:Password" value="4D3434F56B7CD89E0F12BC423A" />
  </appSettings>
  <system.web>
    <httpRuntime maxRequestLength="1024000"/>
    <compilation
         defaultLanguage="c#"
         debug="true"
    />
    <authentication mode="Windows"/>
    <pages
          validateRequest="false"
          enableSessionState="true"
          enableEventValidation="false"
          enableViewStateMac="false"
          viewStateEncryptionMode="Never"
    />
    <httpHandlers>
      <add verb="*" path="file.axd" type="JumbotCms.Common.Handler.FileHandler" validate="false"/>
    </httpHandlers>
    <httpModules>
      <add name="UrlRewriter" type="Intelligencia.UrlRewriter.RewriterHttpModule, Intelligencia.UrlRewriter"/>
    </httpModules>
  </system.web>
  <rewriter configSource="URLRewriter.config" />

  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <handlers>
      <remove name="WebServiceHandlerFactory-Integrated"/>
    </handlers>
    <httpProtocol>
      <customHeaders>
        <clear />
        <add name="X-UA-Compatible" value="IE=EmulateIE7" />
      </customHeaders>
    </httpProtocol>
  </system.webServer>
</configuration>
